## nullidentd 1.0

=== Makefile ===

INSTALL=/usr/local/sbin

nullidentd: nullidentd.c version.h
	gcc -O2 -o nullidentd nullidentd.c

dist: .version
	mkdir nullidentd-`cat .version`
	cp -P `p4 files ... | sed s/\\\\/\\\\/depot\\\\/home\\\\/nullidentd\\\\/// | sed s/#.*$$//` nullidentd-`cat .version`/
	find nullidentd-`cat .version` -type f -exec chmod 664 {} \;
	tar zcf nullidentd-`cat .version`.tar.gz nullidentd-`cat .version`/
	rm -rf nullidentd-`cat .version`

.version: README
	egrep "^Version" README | sed 's/Version //' > .version

version.h: .version
	echo "const char VERSION[] = \"`cat .version`\";" > version.h

clean: 
	rm -f .version version.h nullidentd

install: nullidentd
	rm -f $(INSTALL)/nullidentd
	cp nullidentd $(INSTALL)/nullidentd
	chown root.root $(INSTALL)/nullidentd
	chmod a-rw $(INSTALL)/nullidentd
	chmod a+x $(INSTALL)/nullidentd

=== debian/changelog ===
nullidentd (1.0-6) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Team maintenance in Package Salvage team
    Closes: #1081770
  * Set Vcs-Fields
  * Homepage only in webarchive
  * Add README.Debian pointing to further development
  * Add fake watch file (including comment to Github fork that could be
    activated as watch file code)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix build with gcc-14
    Closes: #1075325
  * Lintian-overrides for strange bogus-mail-host-in-debian-changelog
  * d/copyright: DEP5
  * Propagate build flags for hardening and debug info

  [ Helmut Grohne ]
  * Fix FTCBFS: Add 03_makefile.diff.
    Closes: #872324

  [ Alessandro Vesely ]
  * Provide xinetd.d configuration file
    Closes: #709772

 -- Andreas Tille <tille@debian.org>  Sat, 05 Oct 2024 13:04:04 +0200

nullidentd (1.0-5) unstable; urgency=low

  * New maintainer. (Closes: #632878)
  * Depend on 'openbsd-inetd | inet-superserver'. (Closes: #497193, #599554)
  * Add Homepage field.
  * Update Standards-Version to 3.9.2.
  * Switch debian/rules to minimal dh.
  * Switch to source format 3.0 (quilt).

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Fri, 08 Jul 2011 13:59:31 +0200

nullidentd (1.0-4) unstable; urgency=low

  * Standards version 3.8.0.1
  * debhelper version 7
  * lintian clean
  * Properly remove inetd entries on remove/purge (Closes: #279237, #330491)
  * Disables auth entries prior to installation (Closes: #474145)
  * Removes ident entries prior to installation (Closes: #226953)

 -- John H. Robinson, IV <jaqque@debian.org>  Tue,  8 Jul 2008 10:42:14 -0700

nullidentd (1.0-3.1) unstable; urgency=high

  * Non-maintainer upload during BSP.
  * Fix unconditional use of update-inetd in postrm (Closes: #417035).
  * Depend on update-inetd as it is used in prerm and postinst.

 -- Luk Claes <luk@debian.org>  Thu, 17 May 2007 02:00:08 +0200

nullidentd (1.0-3) unstable; urgency=low

  * Compiles -Wall -pedantic clean
  * Random ID's are all eight characters long
  * Many thanks to Petter Reinholdtsen and Marc Brockschmidt for their NMU's

 -- John H. Robinson, IV <jaqque@debian.org>  Tue, 17 Aug 2004 21:40:18 -0700

nullidentd (1.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing dependency on netbase. (Closes: #230641)
  * Correct email address of upstream author. (Closes: #230644)
  * Add support for returning random usernames. (Closes: #115204)

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  5 Feb 2004 16:35:16 +0100

nullidentd (1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/{postinst,prerm,postrm}: Fixed update-inetd calls to leave user
    config untouched. (Closes: #206253)
  * debian/changelog: Removed Emacs user settings at end of file.
  * debian/copyright: Removed boilerplate "(s)" to make lintian happy.
  * debian/control: Bumped Standards-Version to 3.6.1 (no changes)

 -- Marc Brockschmidt <marc@dch-faq.de>  Sun, 21 Dec 2003 23:49:31 +0100

nullidentd (1.0-2) unstable; urgency=low

  * Added Provides: ident-server (closes: Bug#95270)

 -- John H. Robinson, IV <jaqque@debian.org>  Sat, 28 Apr 2001 00:21:58 -0700

nullidentd (1.0-1) unstable; urgency=low

  * Initial Release. (closes: Bug#83333)
  * Modified toplevel Makefile to support $(DESTDIR)

 -- John H. Robinson, IV <jaqque@debian.org>  Tue, 16 Jan 2001 20:21:00 -0800

=== debian/control ===
Source: nullidentd
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/salvage-team/nullidentd.git
Vcs-Browser: https://salsa.debian.org/salvage-team/nullidentd
Homepage: https://web.archive.org/web/20171106204617/http://www.tildeslash.org/nullidentd.html
Rules-Requires-Root: no

Package: nullidentd
Provides: ident-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, netbase, update-inetd,
         openbsd-inetd | inet-superserver
Description: small, fast identd daemon
 nullidentd is a small, fast and secure identd daemon. It returns a static
 string for every query.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DINSTALL:=$(CURDIR)/$(shell echo debian/`dh_listpackages`/usr/sbin/)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	install --strip-program=true nullidentd $(DINSTALL)/nullidentd
	#chown root:root $(DINSTALL)/nullidentd
	chmod a-rw $(DINSTALL)/nullidentd
	chmod a+x $(DINSTALL)/nullidentd

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Site/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

# When deciding for the fork on Github this watch file could be helpful
# At the time of writing it reports: 1.1+git20111108.6770814
#opts="mode=git,pretty=1.1+git%cd.%h" \
#    https://github.com/dxtr/nullidentd.git HEAD
